function [F_2d, S_2d, F_cos_2d, F_sin_2d] = create_2D(f1_cos, f1_sin, f2, corr, noise)

for i = 1:size(f1_cos, 2) % i-th peak in F1 (indir dim)
    for j = 1:size(f2, 2) % j-th peak in F2 (dir dim)
        if corr(i, j)==1
            F_cos(i, j, :, :) = f1_cos(:, i)*(f2(:, j).');
            F_sin(i, j, :, :) = f1_sin(:, i)*(f2(:, j).');
        end
    end
end

F_cos_2d = squeeze(sum(sum(F_cos, 1), 2)) + noise(1:2:end, :);
F_sin_2d = squeeze(sum(sum(F_sin, 1), 2)) + noise(2:2:end, :);
F_2d = zeros(2*size(F_cos_2d, 1), size(F_cos_2d, 2));
F_2d(1:2:end, :) = F_cos_2d;
F_2d(2:2:end, :) = F_sin_2d;

S_cos_2d = real(fft(F_cos_2d, 2^nextpow2(2*size(F_cos_2d, 2)), 2));
S_sin_2d = real(fft(F_sin_2d, 2^nextpow2(2*size(F_sin_2d, 2)), 2));
S_2d = fft(S_cos_2d + 1i*S_sin_2d, 2^nextpow2(2*size(S_cos_2d, 1)), 1);
end